> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetAccountsSummaryAsync

> Get pending requests from GetAccountsSummary.

Use the `GetAccountsSummaryAsync` endpoint to get pending requests from [/GetAccountsSummary](./get-accounts-summary).

To successfully call this endpoint, you must first call the Authorize endpoint to obtain a valid `requestId`.

## Checking if the request is still pending

When you receive a 202 HTTPS response from `/GetAccountsSummary` stating that your request is still pending, you must call the `/GetAccountsSummaryAsync` endpoint every 10 seconds to check if the data is finished processing for a maximum of 30 minutes.

Your request will likely take a few seconds to process, but setting a 30 minute timeout avoids infinite loops of this request.

## Receiving the data after it's processed

You'll get a 200 HTTP response when the data is finished processing.

The API delivers the data to you as a JSON payload in a standard format, and your servers can start to handle it in the way that your use case is set up to.


## OpenAPI

````yaml GET /v3/{customerId}/BankingServices/GetAccountsSummaryAsync/{requestId}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/GetAccountsSummaryAsync/{requestId}:
    get:
      tags:
        - Connect
      summary: Get Accounts Summary Async
      description: Get pending requests from GetAccountsSummary.
      operationId: getAccountsSummaryAsync
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
        - name: requestId
          in: path
          required: true
          schema:
            type: string
          description: >-
            Unique identifier provided after a successful request to the
            Authorize endpoint.
        - name: x-api-key
          in: header
          schema:
            type: string
          description: Security feature that grants access to this endpoint.
        - name: Content-Type
          in: header
          required: true
          description: Content type of the request.
          schema:
            type: string
            default: application/json
            example: application/json
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        EftEligibleRatio:
                          type: integer
                        ETransferEligibleRatio:
                          type: integer
                        Title:
                          type: string
                        AccountNumber:
                          type: string
                        LastFourDigits:
                          type: string
                        Balance:
                          type: object
                          properties:
                            Available:
                              type: number
                            Current:
                              type: number
                            Limit:
                              type: string
                        Category:
                          type: string
                        Type:
                          type: string
                        Currency:
                          type: string
                        Holder:
                          type: object
                          properties:
                            Name:
                              type: string
                            Address:
                              type: object
                              properties:
                                CivicAddress:
                                  type: string
                                City:
                                  type: string
                                Province:
                                  type: string
                                PostalCode:
                                  type: string
                                POBox:
                                  type: string
                                Country:
                                  type: string
                            Email:
                              type: string
                            PhoneNumber:
                              type: string
                        AccountType:
                          type: string
                          nullable: true
                          enum:
                            - Personal
                            - Business
                          description: Type of account.
                        Id:
                          type: string
                  Login:
                    type: object
                    properties:
                      Username:
                        type: string
                      IsScheduledRefresh:
                        type: boolean
                      LastRefresh:
                        type: string
                      Type:
                        type: string
                      Id:
                        type: string
                  Institution:
                    type: string
                  RequestId:
                    type: string
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                  Links:
                    type: array
                    items:
                      type: object
                      properties:
                        rel:
                          type: string
                        href:
                          type: string
                        example:
                          type: string
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  RequestId:
                    type: string
              example:
                FlinksCode: OPERATION_PENDING
                Links:
                  - rel: GetAccountsSummaryAsync
                    href: /GetAccountsSummaryAsync
                    example: >-
                      /GetAccountsSummaryAsync/077785a3-fd0f-42f7-9251-ee2ff7f3b4ff
                HttpStatusCode: 202
                Message: Your operation is still processing
                RequestId: 077785a3-fd0f-42f7-9251-ee2ff7f3b4ff
        '400':
          description: Session Nonexistent
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  FlinksCode:
                    type: string
              example:
                HttpStatusCode: 400
                Message: >-
                  RequestId 1df20baf-65d5-40ee-9be0-8058c13042e2 is invalid or
                  session has ended
                FlinksCode: SESSION_NONEXISTENT

````